#Define Library Files
%define libqt %mklibname ggadget-qt 1.0 0
%define libgtk %mklibname ggadget-gtk 1.0 0
%define libwebkitjs %mklibname ggadget-webkitjs 0

Summary:	Google Gadgets for Linux
Name:		google-gadgets
Version:	0.11.2
Release:	%mkrel 6
License:	Apache License
Group:		Toys
Source0:	http://google-gadgets-for-linux.googlecode.com/files/%name-for-linux-%version.tar.xz
Patch1:		google-gadgets-for-linux-0.10.5-use-qtscript-in-qt-host.patch
Patch2:		google-gadgets-for-linux-0.10.5-xlibs.patch
URL:		http://code.google.com/p/google-gadgets-for-linux/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gtk2-devel
BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils
BuildRequires:	zip
BuildRequires:	dbus-devel
BuildRequires:	startup-notification-devel
BuildRequires:	xulrunner-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	libsoup-2.4-devel
BuildRequires:	librsvg-devel
BuildRequires:	flex
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	libggadget1.0_0
Obsoletes:	google-gadgets-xul
Requires:	%name-host = %version
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version
Requires:   	libicu44

%description
Google Gadgets for Linux provides a platform for running desktop gadgets
under Linux, catering to the unique needs of Linux users. It is compatible
with the gadgets written for Google Desktop for Windows as well as the
Universal Gadgets on iGoogle.

%files
%defattr(-,root,root)
%defattr(-,root,root)
%doc NEWS THANKS README ChangeLog
%_datadir/pixmaps/google-gadgets.png
%_datadir/mime/packages/00-google-gadgets.xml
%_iconsdir/*/*/*/*
%_datadir/google-gadgets
%dir %_libdir/google-gadgets/modules
%_libdir/google-gadgets/modules/analytics-usage-collector.so
%_libdir/google-gadgets/modules/curl-xml-http-request.so
%_libdir/google-gadgets/modules/dbus-script-class.so
%_libdir/google-gadgets/modules/default-framework.so
%_libdir/google-gadgets/modules/default-options.so
%_libdir/google-gadgets/modules/gst-audio-framework.so
%_libdir/google-gadgets/modules/gst-video-element.so
%_libdir/google-gadgets/modules/google-gadget-manager.so
%_libdir/google-gadgets/modules/html-flash-element.so
%_libdir/google-gadgets/modules/libxml2-xml-parser.so
%_libdir/google-gadgets/modules/linux-system-framework.so
%_libdir/google-gadgets/modules/gtkwebkit-browser-element.so
%_libdir/google-gadgets/modules/soup-xml-http-request.so
%_libdir/google-gadgets/modules/webkit-script-runtime.so

%_libdir/libggadget-webkitjs-1.0.so.0*
%_libdir/libggadget-1.0.so.0*
%_libdir/libggadget-dbus-1.0.so.0*
%_libdir/libggadget-js-1.0.so.0*
%_libdir/libggadget-xdg-1.0.so.0*
%_libdir/libggadget-npapi-1.0.so.0*

%_libdir/google-gadgets/gtkmoz-browser-child
%_libdir/google-gadgets/modules/gtkmoz-browser-element.so
%_libdir/google-gadgets/modules/smjs-script-runtime.so
# /etc/gre.d/1.9.1.system.conf

%package devel
Summary:	Google Gadgets for Linux - Development files
Group:		Toys
Provides:       %name-devel = %version
Requires:	%name = %version
Requires:	%name-gtk = %version
Requires:	%name-qt = %version
Obsoletes:	libgoogle-gadgets-devel
Provides:	libgoogle-gadgets-devel = %version

%description devel
This package contains developement files of Google Gadgets.

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/google-gadgets/include
%_libdir/google-gadgets/modules/*.la
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc


%package qt
Summary:	Google Gadgets for Linux - qt4 host
Group:		Toys
Obsoletes:	libggadget-qt1.0_0
Provides:	%name-host = %version

%description qt
Google Gadgets for Linux provides a platform for running desktop gadgets
under Linux, catering to the unique needs of Linux users. It is compatible
with the gadgets written for Google Desktop for Windows as well as the
Universal Gadgets on iGoogle.

This package contains qt4 host of Google Gadgets.

%post qt
update-alternatives --install %{_bindir}/ggl google-gadgets %{_bindir}/ggl-qt 10

%postun qt
if ! [ -e %{_bindir}/ggl-qt ]; then
  update-alternatives --remove google-gadgets %{_bindir}/ggl-qt
fi


%files qt
%defattr(-,root,root)
%_bindir/ggl-qt
%_datadir/applications/ggl-qt.desktop
%_libdir/google-gadgets/modules/qt-edit-element.so
%_libdir/google-gadgets/modules/qt-system-framework.so
%_libdir/google-gadgets/modules/qt-xml-http-request.so
%_libdir/google-gadgets/modules/qtwebkit-browser-element.so
%_libdir/google-gadgets/modules/qt-script-runtime.so
%_libdir/libggadget-qt-1.0.so.0*



#-----------------------------------------------------------------------
%package gtk
Summary:	Google Gadgets for Linux - gtk2 host
Group:		Toys
Obsoletes:	libggadget-gtk1.0_0
Provides:	%name-host = %version

%description gtk
Google Gadgets for Linux provides a platform for running desktop gadgets
under Linux, catering to the unique needs of Linux users. It is compatible
with the gadgets written for Google Desktop for Windows as well as the
Universal Gadgets on iGoogle.

This package contains gtk2 host of Google Gadgets.

%post gtk
update-alternatives --install %{_bindir}/ggl google-gadgets %{_bindir}/ggl-gtk 10

%postun gtk
if ! [ -e %{_bindir}/ggl-gtk ]; then
  update-alternatives --remove google-gadgets %{_bindir}/ggl-gtk
fi


%files gtk
%defattr(-,root,root)
%_bindir/ggl-gtk
%_datadir/applications/ggl-gtk.desktop
%_datadir/applications/ggl-designer.desktop
%_libdir/google-gadgets/modules/gtk-edit-element.so
%_libdir/google-gadgets/modules/gtk-flash-element.so
%_libdir/google-gadgets/modules/gtk-system-framework.so
%_libdir/libggadget-gtk-1.0.so.0*
#-----------------------------------------------------------------------


%prep
%setup -q -n %name-for-linux-%version
%patch1 -p0
%patch2 -p0

%build

%configure2_5x \
	--with-browser-plugins-dir=%_libdir/mozilla/plugins/ \
	--disable-static \
	--disable-werror \
	--disable-update-mime-database --disable-update-desktop-database 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor ""\
 --remove-category='Network' \
 --add-category "X-MandrivaLinux-System-Configuration-Other"\
 --dir %buildroot%_datadir/applications %buildroot%_datadir/applications/*.desktop

#FIX for Desktopfile
cat > $RPM_BUILD_ROOT%{_datadir}/applications/ggl-qt.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Google Gadgets (Qt)
Name[en]=Google Gadgets (Qt)
Name[fr]=Google Gadgets (Qt)
Name[zh_CN]=Google 小工具 (Qt)
Comment=Run Google Gadgets in KDE/Qt environment
Comment[en]=Run Google Gadgets in KDE/Qt environment
Comment[fr]=Exécuter Google Gadgets dans un environnement KDE/Qt
Comment[zh_CN]=在 KDE/Qt 环境中运行 Google 小工具
TryExec=/usr/bin/ggl-qt 
Exec=/usr/bin/ggl-qt
Icon=google-gadgets
Terminal=false
StartupNotify=true
Type=Application
Categories=KDE;Qt;X-MandrivaLinux-System-Configuration-Other;
MimeType=application/x-google-gadget;app/gg;
X-Desktop-File-Install-Version=0.11
EOF

#mkdir -p $RPM_BUILD_ROOT/etc/gre.d
#install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/etc/gre.d/1.9.1.system.conf


%find_lang %name

%clean
rm -rf %{buildroot}


%changelog
* Fri Nov 05 2010 Texstar <texstar at gmail.com> 0.11.2-6pclos2010
- rebuild for new qtlibs

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 0.11.2-5pclos2010
- rebuild ldap

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 0.11.2-4pclos2010
- rebuild for new icu

* Sun Apr 04 2010 Texstar <texstar at gmail.com> 0.11.2-3pclos2010
- rebuild

* Wed Mar 24 2010 Texstar <texstar at gmail.com> 0.11.2-2pclos2010
- rebuild against updated xulrunner

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.11.2-1pclos2010
- 0.11.2

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.11.1-2pclos2010
- rebuild

* Fri Nov 07 2009 Texstar <texstar at gmail.com> 0.11.1-1pclos2010
- 0.11.1

* Thu Aug 20 2009 Texstar <texstar at gmail.com> 0.11.0-4pclos2009
- rebuild against updated package

* Fri Jul 17 2009 Texstar <texstar at gmail.com> 0.11.0-3pclos2009
- fix gre.d

* Wed Jul 15 2009 Texstar <texstar at gmail.com> 0.11.0-2pclos2009
- rebuild against updated xulrunner and webkit
- fix qt desktop file

* Sun Jul 05 2009 Texstar <texstar at gmail.com> 0.11.0-1pclos2009
- update to 0.11.0
- consolidate down to more sane pacakges

* Thu Mar 19 2009 Texstar <texstar at gmail.com> 0.10.5-1pclos2007
- 0.10.5

* Wed Jun 11 2008 Stumpy842 <stump842 at gmail.com> 0.9.2-2
- Move gst-audio-framework.so, gst-mediaplayer-element.so
  and smjs-script-runtime.so to main package

* Mon Jun 09 2008 Stumpy842 <stump842 at gmail.com> 0.9.2-1
- Import for pclos
